## org.apache.xerces.impl.xs
Class XSImplementationImpl

    java.lang.Object
      org.apache.xerces.dom.CoreDOMImplementationImpl
          org.apache.xerces.impl.xs.XSImplementationImpl

All Implemented Interfaces:
  org.apache.xerces.xs.XSImplementation, org.w3c.dom.DOMImplementation, org.w3c.dom.ls.DOMImplementationLS

    public class XSImplementationImpl

extends CoreDOMImplementationImpl
implements org.apache.xerces.xs.XSImplementation

Implements XSImplementation interface that allows one to retrieve an instance of `XSLoader`. This interface should be implemented on the same object that implements DOMImplementation.

Version:
  $Id: XSImplementationImpl.java 320158 2004-12-08 22:49:05Z mrglavas $
Author:
  Elena Litani, IBM

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Field Summary

Fields inherited from interface org.w3c.dom.ls.DOMImplementationLS
`MODE_ASYNCHRONOUS, MODE_SYNCHRONOUS`

Constructor Summary
`XSImplementationImpl()`

Method Summary
`org.apache.xerces.xs.XSLoader` `createXSLoader(org.apache.xerces.xs.StringList versions)` Creates a new XSLoader.
`static org.w3c.dom.DOMImplementation` `getDOMImplementation()` NON-DOM: Obtain and return the single shared object
`org.apache.xerces.xs.StringList` `getRecognizedVersions()` A list containing the versions of XML Schema documents recognized by this `XSImplemenation`.
`boolean` `hasFeature(java.lang.String feature, java.lang.String version)` Test if the DOM implementation supports a specific "feature" -- currently meaning language and level thereof.

Methods inherited from class org.apache.xerces.dom.CoreDOMImplementationImpl
`assignDocTypeNumber, assignDocumentNumber, createDocument, createDocumentType, createLSInput, createLSOutput, createLSParser, createLSSerializer, getFeature`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSImplementationImpl

    public XSImplementationImpl()

Method Detail

### getDOMImplementation

    public static org.w3c.dom.DOMImplementation getDOMImplementation()

  NON-DOM: Obtain and return the single shared object

### hasFeature

    public boolean hasFeature(java.lang.String feature,
                              java.lang.String version)

  Test if the DOM implementation supports a specific "feature" -- currently meaning language and level thereof.

  Specified by:
    `hasFeature` in interface `org.w3c.dom.DOMImplementation`
  Overrides:
    `hasFeature` in class `CoreDOMImplementationImpl`
  Parameters:
    `feature` - The package name of the feature to test. In Level 1, supported values are "HTML" and "XML" (case-insensitive). At this writing, org.apache.xerces.dom supports only XML.
    `version` - The version number of the feature being tested. This is interpreted as "Version of the DOM API supported for the specified Feature", and in Level 1 should be "1.0"
  Returns:
    true iff this implementation is compatable with the specified feature and version.

### createXSLoader

    public org.apache.xerces.xs.XSLoader createXSLoader(org.apache.xerces.xs.StringList versions)
                                                 throws org.apache.xerces.xs.XSException

  Description copied from interface: `org.apache.xerces.xs.XSImplementation`
  Creates a new XSLoader. The newly constructed loader may then be configured and used to load XML Schemas.

  Specified by:
    `createXSLoader` in interface `org.apache.xerces.xs.XSImplementation`
  Parameters:
    `versions` - A list containing the versions of XML Schema documents which can be loaded by the `XSLoader` or `null` to permit XML Schema documents of any recognized version to be loaded by the XSLoader.
  Returns:
    An XML Schema loader.
  Throws:
    `org.apache.xerces.xs.XSException` - NOT_SUPPORTED_ERR: Raised if the implementation does not support one of the specified versions.

### getRecognizedVersions

    public org.apache.xerces.xs.StringList getRecognizedVersions()

  Description copied from interface: `org.apache.xerces.xs.XSImplementation`
  A list containing the versions of XML Schema documents recognized by this `XSImplemenation`.

  Specified by:
    `getRecognizedVersions` in interface `org.apache.xerces.xs.XSImplementation`

Copyright © 1999-2006 Apache XML Project. All Rights Reserved.